List users
curl --request GET \
--url https://api.gospott.com/users \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gospott.com/users"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gospott.com/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"users": [
{
"userId": "<string>",
"name": "<string>",
"email": "jsmith@example.com",
"avatarUrl": "<string>",
"deactivatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>",
"errors": [
{
"code": "REQUIRED",
"path": "<string>",
"message": "<string>",
"received": "<unknown>"
}
]
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}{
"status": 0,
"message": "<string>",
"requestId": "<string>"
}Users
List users
Returns a list of users. By default, only active users are returned. Set includeDeactivated=true to include deactivated users in the response.
GET
/
users
List users
Authorizations
API key for authentication. Get your API key from Settings → API Keys in your Spott dashboard.
Query Parameters
Include deactivated users in the response. Defaults to false.
Response
Successfully retrieved the list of users.
Show child attributes
Show child attributes
Was this page helpful?
⌘I

